⌘K

MidJourney Outpaint

midjourney_outpaint

MidJourney Outpaint extends images beyond their original boundaries with contextually appropriate content.

MidJourney API Notes

The MidJourney API is divided into two categories: Direct Generation and Secondary Editing. Direct Generation only requires providing necessary parameters such as prompts to generate images directly. Secondary Editing requires providing the previous task ID and image number to execute image generation. outpaint is a Secondary Editing category

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request.

Value: midjourney_outpaint


jobId string required

Task ID.


imageNo integer required

Image number, must be 0, 1, 2 or 3.

Options: 0, 1, 2, 3


scale number required

Extension ratio, must be a number between 1.1 and 2.0.


remixPrompt string

Expansion area prompt, length must be between 1-8192 characters


callback string

Callback URL, must be valid HTTP/HTTPS URL.


Polling

Since result generation takes time, you need to poll the task status after creating the task.

The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.

See the examples on the right for polling requests and responses.

Response Format

error object

Error information. Only present when status is failed.

code integer

Error code.

error_message string

Detailed error message.


output array

Generation results. Only present when status is completed.

content array

List of generated content.

type string

Resource type, e.g., video, image.

url string

Generated content URL.


usage object

Usage statistics. Only present when status is completed.

cost string

Total cost in USD.

discount number

Discount amount.


metadata object

Metadata information.


Error Codes

Error CodeDescription
004007001Task ID missing
004007002Image number missing
004007003Invalid image number
004007004Extension ratio missing
004007005Invalid extension ratio
004007006Invalid callback URL
004007098Generation failed
004007099Service unavailable